Get Comment
GET
/api/canvas/{deal_id}/comments/{comment_id}
const url = 'https://example.com/api/canvas/example/comments/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/canvas/example/comments/example \ --header 'Authorization: Bearer <token>'Get a single comment with its replies.
Phase 4: RequireViewer — all collaborators can read comments.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
comment_id
required
Comment Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
CommentResponse
Comment record returned by every comment endpoint that yields a single
comment. Mirrors Comment.to_api_dict() from
src/canvas/models/comment.py.
extra='allow' accommodates author-profile enrichment fields that the
CommentEnrichmentService injects (author_profile, etc.) without
requiring them to be enumerated here.
object
comment_id
required
Comment Id
string
deal_id
required
Deal Id
string
comment_type
required
Comment Type
string
author_id
required
Author Id
string
content
required
Content
string
status
required
Status
string
created_at
required
Created At
string
updated_at
required
Updated At
string
replies
Replies
Array<object>
ReplyEntryInner shape of a comment reply (one entry inside CommentResponse.replies).
mentioned_user_ids
Mentioned User Ids
Array<string>
reactions
Reactions
object
key
additional properties
Array<string>
key
additional properties
any
Example generated
{ "comment_id": "example", "deal_id": "example", "section_key": "example", "comment_type": "example", "author_id": "example", "content": "example", "status": "example", "created_at": "example", "updated_at": "example", "resolved_by": "example", "resolved_at": "example", "anchor_text": "example", "replies": [ { "reply_id": "example", "author_id": "example", "content": "example", "created_at": "example", "edited_at": "example", "mentioned_user_ids": [ "example" ] } ], "mentioned_user_ids": [ "example" ], "reactions": { "additionalProperty": [ "example" ] }, "suggestion_metadata": {}}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}